Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » M2T (model-to-text transformation) » [JET] Jet editor still now working in Galileo
[JET] Jet editor still now working in Galileo [message #492562] Tue, 20 October 2009 13:47 Go to next message
Steven Derrien is currently offline Steven Derrien
Messages: 43
Registered: July 2009
Member
Hello,

According to Eclipse Bugs, Bug 281554 is solved,

https://bugs.eclipse.org/bugs/show_bug.cgi?id=281554

However, even now that I updated my version to "M2T JET SDK 1.0.1", I
still can't open any jet file with Galileo, and get exaclty the same NPE
error issue.

After looking more carrefully to the update site data, it seems that the
jet.editor version bundled on 1.0.1 is tagged to 1.0.0.v200906120945
which suggest it was not recompiled since then.

Is there a reason for not integratin such bug fixes in the release ? If
so how should I proceed to be able to use the Jet Editor in 3.5 ?

Thanks in advance

Steven
Re: [JET] Jet editor still now working in Galileo [message #492577 is a reply to message #492562] Tue, 20 October 2009 15:38 Go to previous messageGo to next message
Paul Elder is currently offline Paul Elder
Messages: 849
Registered: July 2009
Senior Member
No changes were made to the editor to fix the problem, hence, there is no change in the editor plug-in's version.

I have just tested a number of scenarios with the JET editor and Eclipse 3.5.1 and M2T JET 1.0.1

In each case, I have successfully gotten the editor to function.

So, first confirm that the org.eclipse.jet plug-in has version 1.0.1.v200909041702.

Then, if you are still experiencing the problem, please:
1) re-open the bug:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=281554

2) attach a test case the reproduces the problem. Preferably, attach an archive of an entire project so that I can look at all project settings, etc...

Thanks for your patience,

Paul
Re: [JET] Jet editor still now working in Galileo [message #492704 is a reply to message #492577] Wed, 21 October 2009 09:20 Go to previous messageGo to next message
Steven Derrien is currently offline Steven Derrien
Messages: 43
Registered: July 2009
Member
Hi,

Thanks for the help, you were right, my updated org.eclipse.jet plugin
did not install successfully and was therefore not not visible.

I had to reinstall the whole 3.5SR1, but now JET editor works perfectly
well !

Thanks again

Steven


Paul Elder a écrit :
> No changes were made to the editor to fix the problem, hence, there is
> no change in the editor plug-in's version.
>
> I have just tested a number of scenarios with the JET editor and Eclipse
> 3.5.1 and M2T JET 1.0.1
>
> In each case, I have successfully gotten the editor to function.
>
> So, first confirm that the org.eclipse.jet plug-in has version
> 1.0.1.v200909041702.
>
> Then, if you are still experiencing the problem, please:
> 1) re-open the bug:
>
> https://bugs.eclipse.org/bugs/show_bug.cgi?id=281554
>
> 2) attach a test case the reproduces the problem. Preferably, attach an
> archive of an entire project so that I can look at all project settings,
> etc...
>
> Thanks for your patience,
>
> Paul
Re: [JET] Jet editor still now working in Galileo [message #492734 is a reply to message #492704] Wed, 21 October 2009 10:46 Go to previous message
Paul Elder is currently offline Paul Elder
Messages: 849
Registered: July 2009
Senior Member
Steven:

Glad I could help (and glad I didn't have to fix the problem again).

Paul
Previous Topic:How to escape ${expr} in JET templates?
Next Topic:Can we use any kind of scriptlets JSP tags inside JET templates?
Goto Forum:
  


Current Time: Wed Aug 20 10:43:26 EDT 2014

Powered by FUDForum. Page generated in 0.01749 seconds